Name:		perl-Proc-ProcessTable
License:	Artistic License
Group:		Development/Libraries/Perl
Requires:	perl = %{perl_version}
Autoreqprov:	on
Summary:	Perl interface to file system quotas
Version:	0.39
Release:	1.intergenia
Source:		http://search.cpan.org/CPAN/authors/id/D/DU/DURIST/Proc-ProcessTable-0.39.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%description
The Quota module provides access to file system quotas.  The
quotactl system call or ioctl is used to query or set quotas
on the local host, or queries are submitted via RPC to a
remote host.  Mount tables can be parsed with getmntent and
paths can be translated to device files (or whatever the
actual quotactl implementations needs as argument) of the
according file system.

%prep
%setup -n Proc-ProcessTable-%{version}

%build
perl Makefile.PL
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}-%{version}.filelist
if [ "$(cat %{name}-%{version}.filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%files -f %{name}-%{version}.filelist
%defattr(-, root, root)
/var/adm/perl-modules/perl-Proc-ProcessTable

%changelog -n perl-Proc-ProcessTable
* Sun May 30 2004 Maik Broemme <mbroemme@plusserver.de> 0.39-1.intergenia
- first package, version 0.39
